<div ng-controller="VisitaFileController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a ui-sref="admin.inspector.lista">Inspector</a>
          </li>
          <li>
            <a ui-sref="admin.inspector.inspector_parcela">Parcela</a>
          </li>
          <li>
            <a ui-sref="{{visita.url_return}}">Visita</a>
          </li>
          <li>
            <a>Imagenes</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
              <div class="col-md-6">
                Inspector : <strong>{{inspector.fullname | uppercase}}</strong>
              </div>
              <div class="col-md-4">
                FECHA : {{visita.fecha}}
              </div>
              <div class="col-md-2">
                <div class="text-right">
                  <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="{{visita.url_return}}"><i class="fa fa-arrow-left"></i>  Regresar</a>
                </div>
              </div>
            </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="icon-picture"></i> IMAGENES</h1>
            </div>
            <div class="tile-body p-1">
              <div ng-if="isUpload">
                <div class="row">
                  <div class="col-md-6">
                    <!-- <div class="form-group">
                      <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Visitas">
                    </div> -->
                  </div>
                  <div class="col-md-2">
                    
                  </div>
                  <div class="col-md-4">
                    <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="new();"><i class="fa fa-plus"></i> agregar imagén</button>
                  </div>
                  <div class="col-md-12">
                    <hr class="mb-10 mt-10">
                  </div>
                </div>

                <div class="row" ng-if="isLoading">
                  <div class="col-md-12">
                    <loading></loading>
                  </div>
                </div>

                <div class="row" ng-if="!isLoading">
                    <div class="col-md-12">
                      <h5 class="text-right"><strong>CANTIDAD : {{imagenes.length}} IMAGENES</strong></h5>
                    </div>
                    <div class="col-md-12" ng-if="imagenes.length > 0">
                      <div class="row mt-20">
                        <div class="col-md-4 text-center" dir-paginate="imagen in imagenes |filter: buscar | itemsPerPage: 6" pagination-id="imagen.id">
                          <div class="form-group">
                            <img ng-src="{{ruta + imagen.url}}" class="img-rounded img-responsive" style="cursor: pointer;height: 166px;margin-left: auto;margin-right: auto;display: block;" ng-click="load(imagen);openModalSave($event)" alt="imagen {{imagen.url}}">
                            <div class="input-group-btn">
                              <button class="btn btn-info btn-border btn-xs btn-radius-left" title="Ver IMAGÉN" data-options="splash-2 splash-ef-14" ng-click="load(imagen);openModalSave($event)" style="margin-top: 5px;"><span class="icon-eye"></span></button>
                              <button class="btn btn-danger btn-border btn-xs btn-radius-right" title="ELIMINAR IMAGÉN" data-options="splash-2 splash-ef-14" ng-click="load(imagen);openModalDelete($event)" style="margin-top: 5px;"><span class="icon-trash"></span></button>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="row">
                        <div class="col-md-12">
                          <div class="text-center">
                            <dir-pagination-controls pagination-id="imagen.id"></dir-pagination-controls>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-12" ng-if="imagenes.length == 0">
                      <p class="text-center">
                        <i class="icon-info fa-4x"></i>
                        <h5 class="text-center">NO HAY IMAGENES PARA ESTA PARCELA...</h5>
                      </p>
                    </div>
                </div>
              </div>
              <div ng-if="!isUpload">
                <div class="row">
                    <div class="col-md-12">
                      <legend class="text-center">SUBIR {{obj.ruta | uppercase}}</legend>
                    </div>
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-12">
                          <span class="label label-info">Nota: </span><span>No se cargarán archivos mayores de 3MB. </span>
                        </div>
                      </div>
                      <div class="row">
                        <div class="col-md-6 col-md-offset-3">
                          <br>
                          <button class="btn btn-primary btn-block" ngf-select="select($files)" multiple accept=".png, .jpg, .jpeg" ngf-max-height="1000" ngf-max-size="3MB">
                            <i class="fa fa-upload"></i> Seleccione Archivos
                          </button>                         
                        </div> 
                      </div>
                      <div class="row" ng-if="files.length">
                        <div class="col-md-12 mt-10">
                          <div class="table-responsive">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>NOMBRE</th>
                                        <th>TAMAÑO</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="file in files">
                                        <td>{{file.name}}</td>
                                        <td>{{(file.size/1024)/1024 | number:2}} MB</td>
                                        <td>
                                            <button type="button" class="btn btn-danger btn-xs btn-border" ng-click="deleteItemFiles($index)"><i class="fa fa-close"></i></button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                          </div>
                          <uib-progressbar ng-if="isSave" class="progress-sm progress-striped active not-rounded" value="progress" type="dutch"><b>{{progress}}%</b></uib-progressbar>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-12 mt-10">
                      <div class="text-center">
                        <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancelar()"> <i class="fa fa-close"></i> cancelar</button>
                        <button ng-if="!isSave" ng-disabled="!id_cliente && !(files.length)" type="submit" class="btn btn-default btn-border btn-rounded-10" ng-click="save()"><i class="fa fa-upload"></i> subir archivos</button>
                        <button ng-if="isSave" type="button" class="btn btn-default btn-border btn-rounded-10">
                        <i class="fa fa-spin fa-spinner"></i> subiendo archivos...</button>
                      </div>
                    </div>
                  </div>
              </div>
            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="imagen_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <button type="button" class="close" ng-click="cancel()">&times;</button>
        <h3 class="modal-title font-ligth">Vista Previa</h3>
      </div>            
    </div>
    <div class="modal-body">
      <div class="row">
        <div class="col-md-12">
          <div uib-carousel  active="0" interval="10000" no-wrap="false">
            <div uib-slide ng-repeat="slide in imagenes">
              <img ng-src="{{ruta + slide.url}}" style="margin:auto;height: 490px">
              <div class="carousel-caption">
                <h4>{{slide.url}}</h4>
                <!-- <p>{{slide.text}}</p> -->              
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </script>
  <script  type="text/ng-template" id="imagen_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>